Bug 829373 - (CVE-2012-1723) CVE-2012-1723 OpenJDK: insufficient field accessibility checks (HotSpot, 7152811)
CVE-2012-1723 OpenJDK: insufficient field accessibility checks (HotSpot, 7152...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120612,repor...
: Security
Depends On: 828749 828750 828751 828752 828753 828754 828755 828756 828757 828758 828759 828760
Blocks: 824458
  Show dependency treegraph
 
Reported: 2012-06-06 10:49 EDT by Stefan Cornelius
Modified: 2015-11-25 04:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-06-06 10:49:48 EDT
The HotSpot Java Virtual Machine (JVM) field lookup code did not properly check accessibility rules and for static / non-static mismatch.  A specially-crafted class file could possibly use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2012-06-12 16:19:24 EDT
Public now via:
http://www.oracle.com/technetwork/topics/security/javacpujun2012-1515912.html

Fixed in Oracle Java 7 Update 5 and 6 Update 33.
Comment 3 errata-xmlrpc 2012-06-13 09:10:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0730 https://rhn.redhat.com/errata/RHSA-2012-0730.html
Comment 4 errata-xmlrpc 2012-06-13 09:10:36 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0729 https://rhn.redhat.com/errata/RHSA-2012-0729.html
Comment 5 errata-xmlrpc 2012-06-13 16:02:42 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0734 https://rhn.redhat.com/errata/RHSA-2012-0734.html
Comment 7 errata-xmlrpc 2012-06-20 11:15:20 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1019 https://rhn.redhat.com/errata/RHSA-2012-1019.html
Comment 8 errata-xmlrpc 2012-06-20 11:16:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1009 https://rhn.redhat.com/errata/RHSA-2012-1009.html

Note You need to log in before you can comment on or make changes to this bug.